libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Earth

## Functions
void | ln_get_earth_helio_coords (double JD, struct ln_helio_posn *position)
| Calculate Earth's heliocentric coordinates. More...
double | ln_get_earth_solar_dist (double JD)
| Calculate the distance between Earth and the Sun. More...
void | ln_get_earth_rect_helio (double JD, struct ln_rect_posn *position)
| Calculate the Earths rectangular heliocentric coordinates. More...
void | ln_get_earth_centre_dist (float height, double latitude, double *p_sin_o, double *p_cos_o)
| Calculate Earth globe centre distance. More...

## Detailed Description

Functions relating to the planet Earth.

All angles are expressed in degrees.

## Function Documentation

void ln_get_earth_centre_dist | ( | float | height,
|  | double | latitude,
|  | double * | p_sin_o,
|  | double * | p_cos_o
| ) |  |

Calculate Earth globe centre distance.

Parameters

  height | Height above sea level in metres.
  latitude | latitude in degrees.
  p_sin_o | Pointer to hold p_sin_o
  p_cos_o | Pointer to hold p_cos_o

Calculate the quantities "p sin o" and "p cos o" needed in calculations for diurnal parallaxes, eclipses and occultations given the observers height in metres above sea level and there latitude in degrees.

References ln_deg_to_rad().

void ln_get_earth_helio_coords | ( | double | JD,
|  | struct ln_helio_posn * | position
| ) |  |

Calculate Earth's heliocentric coordinates.

Parameters

  JD | Julian day
  position | Pointer to store heliocentric position

Calculate Earths heliocentric (referred to the centre of the Sun) coordinates for given julian day. Longitude and Latitude are in degrees, whilst radius vector is in AU.

References ln_helio_posn::B, ln_helio_posn::L, ln_rad_to_deg(), ln_range_degrees(), ln_vsop87_to_fk5(), and ln_helio_posn::R.

Referenced by ln_get_earth_rect_helio(), ln_get_earth_solar_dist(), ln_get_ell_geo_rect_posn(), ln_get_heliocentric_time_diff(), ln_get_hyp_geo_rect_posn(), ln_get_jupiter_earth_dist(), ln_get_mars_earth_dist(), ln_get_mercury_earth_dist(), ln_get_neptune_earth_dist(), ln_get_par_geo_rect_posn(), ln_get_pluto_earth_dist(), ln_get_saturn_earth_dist(), ln_get_solar_geo_coords(), ln_get_solar_geom_coords(), ln_get_uranus_earth_dist(), and ln_get_venus_earth_dist().

void ln_get_earth_rect_helio | ( | double | JD,
|  | struct ln_rect_posn * | position
| ) |  |

Calculate the Earths rectangular heliocentric coordinates.

Parameters

  JD | Julian day.
  position | pointer to return position

Calculate the Earths rectangular heliocentric coordinates for the given Julian day. Coordinates are in AU.

References ln_get_earth_helio_coords(), and ln_get_rect_from_helio().

void ln_get_earth_solar_dist | ( | double | JD | ) |

Calculate the distance between Earth and the Sun.

Parameters

  JD | Julian day.

Returns
  Distance in AU

Calculates the distance in AU between the Sun and Earth for the given julian day.

Returns
  Distance in AU

References ln_get_earth_helio_coords(), and ln_helio_posn::R.

Referenced by ln_get_ell_body_elong(), ln_get_hyp_body_elong(), ln_get_hyp_body_phase_angle(), ln_get_jupiter_disk(), ln_get_jupiter_phase(), ln_get_lunar_phase(), ln_get_mars_disk(), ln_get_mars_phase(), ln_get_mercury_disk(), ln_get_mercury_phase(), ln_get_neptune_disk(), ln_get_neptune_phase(), ln_get_par_body_elong(), ln_get_par_body_phase_angle(), ln_get_pluto_disk(), ln_get_pluto_phase(), ln_get_saturn_disk(), ln_get_saturn_phase(), ln_get_solar_sdiam(), ln_get_uranus_disk(), ln_get_uranus_phase(), ln_get_venus_disk(), and ln_get_venus_phase().